<?php

namespace Drupal\nats;

use Basis\Nats\Client;
use Basis\Nats\Configuration;

/**
 * Wrapped NATS client.
 */
class WrappedNatsClient implements WrappedNatsClientInterface {

  /**
   * Underlying NATS client.
   */
  protected Client $client;

  /**
   * Construct new instance.
   */
  public function __construct(
    protected string $name,
    protected array $settings,
  ) {
    $configuration = new Configuration($settings);
    $configuration->setDelay(0.001);

    $this->client = new Client($configuration);
  }

  /**
   * {@inheritdoc}
   */
  public function getClient(): Client {
    return $this->client;
  }

  /**
   * {@inheritdoc}
   */
  public function getName(): string {
    return $this->name;
  }

}
